# SPDX-License-Identifier: CC0-1.0

{ nixpkgs, dhallApps, packages }:

nixpkgs.writeScriptBin "render-init" (with nixpkgs.buildPackages; ''
  #!${runtimeShell}
  set -eu
  if [ -z "$@" ]; then
    echo "Error: a Dhall init configuration file must be passed as an argument - $0" > /dev/stderr
    exit 1
  fi
  export DHALL_PRELUDE=''${DHALL_PRELUDE:-${packages.dhallPrelude}/package.dhall}
  export DHALL_GENODE=''${DHALL_GENODE:-${packages.dhallGenode}/package.dhall}
  ${dhallApps.dhall.program} text \
    <<< "(env:DHALL_GENODE).Init.render ($@)" \
    | ${nixpkgs.buildPackages.libxml2}/bin/xmllint -format -
'')
