-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let Child = Genode.Init.Child

in  { config =
        Genode.Init::{
        , children =
            toMap
              { solo5 =
                  Child.flat
                    Child.Attributes::{
                    , binary = "solo5-test_time"
                    , exitPropagate = True
                    , resources =
                        Genode.Init.Resources::{
                        , caps = 256
                        , ram = Genode.units.MiB 3
                        }
                    , routes =
                        [ Genode.Init.ServiceRoute.parent "Timer"
                        , Genode.Init.ServiceRoute.child "Rtc" "clock"
                        ]
                    }
              , clock =
                  Child.flat
                    Child.Attributes::{
                    , binary = "rtc_drv"
                    , provides = [ "Rtc" ]
                    , routes = [ Genode.Init.ServiceRoute.parent "IO_PORT" ]
                    }
              }
        }
    , rom =
        let manifest = env:MANIFEST
        
        in  Genode.BootModules.toRomPaths
              [ manifest.solo5-tests.bin.solo5-test_time
              , manifest.drivers.bin.rtc_drv
              ]
    }
